Package xg.md

# Class ProtocolMetadata.protocolEndpointAddress.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ProtocolMetadata.protocolEndpointAddress.Builder>
xg.md.ProtocolMetadata.protocolEndpointAddress.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`, `ProtocolMetadata.protocolEndpointAddressOrBuilder`

Enclosing class:
  ProtocolMetadata.protocolEndpointAddress

public static final class ProtocolMetadata.protocolEndpointAddress.Builder extends GeneratedMessageV3.Builder<ProtocolMetadata.protocolEndpointAddress.Builder> implements ProtocolMetadata.protocolEndpointAddressOrBuilder

     Represents a protocol endpoint address

Protobuf type `xg.md.protocolEndpointAddress`

## Method Summary

Modifier and Type
Method
Description
`ProtocolMetadata.protocolEndpointAddress`
`build()`
Constructs the message based on the state of the Builder.
`ProtocolMetadata.protocolEndpointAddress`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ProtocolMetadata.protocolEndpointAddress.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ProtocolMetadata.protocolEndpointAddress.Builder`
`clearAddress()`
`ProtocolMetadata.protocolEndpointAddress.Builder`
`clearAddressType()`
the address type
`ProtocolMetadata.protocolEndpointAddress.Builder`
`clearIpv4Address()`
ipv4 address
`ProtocolMetadata.protocolEndpointAddress.AddressCase`
`getAddressCase()`
`ProtocolMetadata.protocolEndpointAddress.addressType`
`getAddressType()`
the address type
`int`
`getAddressTypeValue()`
the address type
`ProtocolMetadata.protocolEndpointAddress`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`ProtocolMetadata.protocolEndpointAddress.ipv4Address`
`getIpv4Address()`
ipv4 address
`ProtocolMetadata.protocolEndpointAddress.ipv4Address.Builder`
`getIpv4AddressBuilder()`
ipv4 address
`ProtocolMetadata.protocolEndpointAddress.ipv4AddressOrBuilder`
`getIpv4AddressOrBuilder()`
ipv4 address
`boolean`
`hasIpv4Address()`
ipv4 address
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ProtocolMetadata.protocolEndpointAddress.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ProtocolMetadata.protocolEndpointAddress.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ProtocolMetadata.protocolEndpointAddress.Builder`
`mergeFrom(ProtocolMetadata.protocolEndpointAddress other)`
`ProtocolMetadata.protocolEndpointAddress.Builder`
`mergeIpv4Address(ProtocolMetadata.protocolEndpointAddress.ipv4Address value)`
ipv4 address
`final ProtocolMetadata.protocolEndpointAddress.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ProtocolMetadata.protocolEndpointAddress.Builder`
`setAddressType(ProtocolMetadata.protocolEndpointAddress.addressType value)`
the address type
`ProtocolMetadata.protocolEndpointAddress.Builder`
`setAddressTypeValue(int value)`
the address type
`ProtocolMetadata.protocolEndpointAddress.Builder`
`setIpv4Address(ProtocolMetadata.protocolEndpointAddress.ipv4Address value)`
ipv4 address
`ProtocolMetadata.protocolEndpointAddress.Builder`
`setIpv4Address(ProtocolMetadata.protocolEndpointAddress.ipv4Address.Builder builderForValue)`
ipv4 address
`final ProtocolMetadata.protocolEndpointAddress.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ProtocolMetadata.protocolEndpointAddress.Builder>`

### clear

public ProtocolMetadata.protocolEndpointAddress.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ProtocolMetadata.protocolEndpointAddress.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ProtocolMetadata.protocolEndpointAddress.Builder>`

### getDefaultInstanceForType

public ProtocolMetadata.protocolEndpointAddress getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ProtocolMetadata.protocolEndpointAddress build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ProtocolMetadata.protocolEndpointAddress buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ProtocolMetadata.protocolEndpointAddress.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ProtocolMetadata.protocolEndpointAddress.Builder>`

### mergeFrom

public ProtocolMetadata.protocolEndpointAddress.Builder mergeFrom(ProtocolMetadata.protocolEndpointAddress other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ProtocolMetadata.protocolEndpointAddress.Builder>`

### mergeFrom

public ProtocolMetadata.protocolEndpointAddress.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ProtocolMetadata.protocolEndpointAddress.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getAddressCase

public ProtocolMetadata.protocolEndpointAddress.AddressCase getAddressCase()

Specified by:
  `getAddressCase` in interface `ProtocolMetadata.protocolEndpointAddressOrBuilder`

### clearAddress

public ProtocolMetadata.protocolEndpointAddress.Builder clearAddress()

### getAddressTypeValue

public int getAddressTypeValue()

     the address type

`.xg.md.protocolEndpointAddress.addressType address_type = 2;`

Specified by:
  `getAddressTypeValue` in interface `ProtocolMetadata.protocolEndpointAddressOrBuilder`
Returns:
  The enum numeric value on the wire for addressType.

### setAddressTypeValue

public ProtocolMetadata.protocolEndpointAddress.Builder setAddressTypeValue(int value)

     the address type

`.xg.md.protocolEndpointAddress.addressType address_type = 2;`

Parameters:
  `value` - The enum numeric value on the wire for addressType to set.
Returns:
  This builder for chaining.

### getAddressType

public ProtocolMetadata.protocolEndpointAddress.addressType getAddressType()

     the address type

`.xg.md.protocolEndpointAddress.addressType address_type = 2;`

Specified by:
  `getAddressType` in interface `ProtocolMetadata.protocolEndpointAddressOrBuilder`
Returns:
  The addressType.

### setAddressType

public ProtocolMetadata.protocolEndpointAddress.Builder setAddressType(ProtocolMetadata.protocolEndpointAddress.addressType value)

     the address type

`.xg.md.protocolEndpointAddress.addressType address_type = 2;`

Parameters:
  `value` - The addressType to set.
Returns:
  This builder for chaining.

### clearAddressType

public ProtocolMetadata.protocolEndpointAddress.Builder clearAddressType()

     the address type

`.xg.md.protocolEndpointAddress.addressType address_type = 2;`

Returns:
  This builder for chaining.

### hasIpv4Address

public boolean hasIpv4Address()

     ipv4 address

`.xg.md.protocolEndpointAddress.ipv4Address ipv4_address = 11;`

Specified by:
  `hasIpv4Address` in interface `ProtocolMetadata.protocolEndpointAddressOrBuilder`
Returns:
  Whether the ipv4Address field is set.

### getIpv4Address

public ProtocolMetadata.protocolEndpointAddress.ipv4Address getIpv4Address()

     ipv4 address

`.xg.md.protocolEndpointAddress.ipv4Address ipv4_address = 11;`

Specified by:
  `getIpv4Address` in interface `ProtocolMetadata.protocolEndpointAddressOrBuilder`
Returns:
  The ipv4Address.

### setIpv4Address

public ProtocolMetadata.protocolEndpointAddress.Builder setIpv4Address(ProtocolMetadata.protocolEndpointAddress.ipv4Address value)

     ipv4 address

`.xg.md.protocolEndpointAddress.ipv4Address ipv4_address = 11;`

### setIpv4Address

public ProtocolMetadata.protocolEndpointAddress.Builder setIpv4Address(ProtocolMetadata.protocolEndpointAddress.ipv4Address.Builder builderForValue)

     ipv4 address

`.xg.md.protocolEndpointAddress.ipv4Address ipv4_address = 11;`

### mergeIpv4Address

public ProtocolMetadata.protocolEndpointAddress.Builder mergeIpv4Address(ProtocolMetadata.protocolEndpointAddress.ipv4Address value)

     ipv4 address

`.xg.md.protocolEndpointAddress.ipv4Address ipv4_address = 11;`

### clearIpv4Address

public ProtocolMetadata.protocolEndpointAddress.Builder clearIpv4Address()

     ipv4 address

`.xg.md.protocolEndpointAddress.ipv4Address ipv4_address = 11;`

### getIpv4AddressBuilder

public ProtocolMetadata.protocolEndpointAddress.ipv4Address.Builder getIpv4AddressBuilder()

     ipv4 address

`.xg.md.protocolEndpointAddress.ipv4Address ipv4_address = 11;`

### getIpv4AddressOrBuilder

public ProtocolMetadata.protocolEndpointAddress.ipv4AddressOrBuilder getIpv4AddressOrBuilder()

     ipv4 address

`.xg.md.protocolEndpointAddress.ipv4Address ipv4_address = 11;`

Specified by:
  `getIpv4AddressOrBuilder` in interface `ProtocolMetadata.protocolEndpointAddressOrBuilder`

### setUnknownFields

public final ProtocolMetadata.protocolEndpointAddress.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ProtocolMetadata.protocolEndpointAddress.Builder>`

### mergeUnknownFields

public final ProtocolMetadata.protocolEndpointAddress.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ProtocolMetadata.protocolEndpointAddress.Builder>`